FlyweightComment (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.tree
Class FlyweightComment

    java.lang.Object
      org.dom4j.tree.AbstractNode
          org.dom4j.tree.AbstractCharacterData
              org.dom4j.tree.AbstractComment
                  org.dom4j.tree.FlyweightComment

All Implemented Interfaces:
  CharacterData, Cloneable, Comment, Node, Serializable

Direct Known Subclasses:
  DefaultComment

public class FlyweightComment
extends AbstractComment
implements Comment

`FlyweightComment` is a Flyweight pattern implementation of a singly linked, read-only XML Comment.

This node could be shared across documents and elements though it does not support the parent relationship.

Version:
  $Revision: 1.7 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary
`protected String` | `text` Text of the `Comment` node

Fields inherited from class org.dom4j.tree.AbstractNode
`NODE_TYPE_NAMES`

Fields inherited from interface org.dom4j.Node
`ANY_NODE, ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, MAX_NODE_TYPE, NAMESPACE_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE, UNKNOWN_NODE`

Constructor Summary
`FlyweightComment(String text)` DOCUMENT ME!

Method Summary
`protected Node` | `createXPathResult(Element parent)`
`String` | `getText()` Returns the text of this node.

Methods inherited from class org.dom4j.tree.AbstractComment
`accept, asXML, getNodeType, getPath, getUniquePath, toString, write`

Methods inherited from class org.dom4j.tree.AbstractCharacterData
`appendText`

Methods inherited from class org.dom4j.tree.AbstractNode
`asXPathResult, clone, createPattern, createXPath, createXPathFilter, detach, getDocument, getDocumentFactory, getName, getNodeTypeName, getParent, getPath, getStringValue, getUniquePath, hasContent, isReadOnly, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, setName, setParent, setText, supportsParent, valueOf`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.dom4j.CharacterData
`appendText`

Methods inherited from interface org.dom4j.Node
`accept, asXML, asXPathResult, clone, createXPath, detach, getDocument, getName, getNodeType, getNodeTypeName, getParent, getPath, getPath, getStringValue, getUniquePath, getUniquePath, hasContent, isReadOnly, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, setName, setParent, setText, supportsParent, valueOf, write`

Field Detail

### text

    protected String text

  Text of the `Comment` node

Constructor Detail

### FlyweightComment

    public FlyweightComment(String text)

  DOCUMENT ME!

Parameters:
  `text` - is the Comment text

Method Detail

### getText

    public String getText()

  Description copied from interface: `Node`

  Returns the text of this node.

  Specified by:
    `getText` in interface `Node`
  Overrides:
    `getText` in class `AbstractNode`

### createXPathResult

    protected Node createXPathResult(Element parent)

  Overrides:
    `createXPathResult` in class `AbstractNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.